Skip to content
CatalogChannels

Queue the spreadsheet of a channel's prices, stock and states

Queues a spreadsheet with the channel's product prices, stock and states, for a selection or a view.

Path Parameters

channelId*string

Identifier of the sales channel.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/channels/7204558912004329619/exports" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "productIds": [      "7204558912004322039"    ],    "filters": {      "view": "all",      "search": "polo",      "missing": "Tienda online"    }  }'
{  "id": "7204558912004321909",  "status": "pending",  "resource": "products",  "format": "csv",  "createdOn": "2026-09-28T15:30:00Z"}